% 
% Generating the spectrum of BFSK
% Author: M. Fitz
% Last modified: 1/28/04
% 
close all
clear all
numpts=2048;
f_d=0.125;
freq=linspace(-5,5, numpts+1);
g_pr=zeros(1,numpts+1);
figure(1)
hold on
for kk=0:1
	dum1=sinc(freq-(-1)^kk*f_d*ones(1,numpts+1)).^2;
	dumdb=10*log10(dum1);
	plot(freq,dumdb,'r:')
	g_pr=g_pr+dum1;
end
g_prdb=10*log10(g_pr/2);
plot(freq,g_prdb)
axis([-5 5 -50 5])
xlabel('Normalized frequency, fT_p')
ylabel('Normalized energy spectrum per bit')
hold off
