% 
% Generating the spectrum of OFDM
% Author: M. Fitz
% Last modified: 9/24/01
% 
close all
clear all
numpts=2048;
K_b=4;
f_d=0.5;
freq=linspace(-4-K_b/2,4+K_b/2, numpts+1);
g_pr=zeros(1,numpts+1);
figure(1)
hold on
for kk=-K_b+1:2:K_b-1
	dum1=sinc(freq-kk*f_d*ones(1,numpts+1)).^2;
	dumdb=10*log10(dum1);
	plot(freq,dumdb,'r:')
	g_pr=g_pr+dum1;
end
g_prdb=10*log10(g_pr);
plot(freq,g_prdb)
axis([-4-K_b/2 4+K_b/2 -50 0])
xlabel('Normalized frequency, fT_p')
ylabel('Normalized energy spectrum per bit')
hold off
