%
%  Program that generates an OMWM 
%
%  Assumes: 1) Frequency flat channel
%           2) Orthogonal modulation
%
%  Author: M. Fitz
%  Last Modified: 3/13/05
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Important parameters for the program
%
%  Number of symbols per frame, N_f
n_f=200;
%  Eb/N0
ebn0db=4;
% 
% Importing the code trellis description
% Variables are g1=next state mapping
%               g2=modulation mapping
%               term=termination symbols from each state
%               nu_c=number of termination symbols
%
load tcmdef
%
%
%  Getting all the timing right
%
%  Time for the whole packet
%
timedata=linspace(1,n_f,n_f);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  The Modulator
%
d=zeros(1,n_f);
%
% Number of information symbols
%
num_info=n_f-nu_c;
k_s=1;
totalframe=zeros(k_s,num_info);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Generating random bits
%
rand('state',0)
trans_bits=floor(2*rand(k_s,num_info));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Assume starts in state 1
state=1;
for jj=1:num_info
    % Modulation symbol
    d(jj)=g2(2^k_s*(state-1)+trans_bits(jj)+1);
    % Next state
    state=g1(2^k_s*(state-1)+trans_bits(jj)+1);
end
d(num_info+1:n_f)=term(state,:);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Generating matched filter output
q_s=d
%
%
%  Adding noise
%  Note: 1 is for symbol average power
ebn0=10^(ebn0db/10);
sigma=sqrt(1/ebn0/2);
q_n=sigma*(randn(1,n_f)+j*randn(1,n_f));
q=q_s+q_n;
save project1 q