%  Sigsex3.m
%  A Matlab program to play with Fourier Series
%  The example signal is a pulse (Example 2.9)
%
%  Author: M. Fitz
%  Last revision: 12/31/99
%
%
%  fs=sample rate
%  numsamp=number of samples
%  
fs=22050;
numsamp=22050;
% 
% time is the vector of the sample times
%
time=(1:numsamp)/fs;
%
% Period T=1/fm 
% fm=fundamental frequency
% 
fm=220.50;
T=1/fm;
%
%  tau is pulse width
% 
tau=T/4;
%
% n=0 term
%
xt=tau/T*ones(size(time));
plot(time,xt)
h=plot(time,xt);
set(h,'linewidth', 2.0);
axis([0 3/fm -0.2 1.2])
pause(1)
%
% Consider progressively up to 500 harmonics
%
for n=1:500
%
% Progressively adding in the nth harmonics
%
	xt=xt+2*tau/T*cos(2*pi*fm*n*time-pi*tau/T*n)*sinc(n*tau/T);
	figure(1)
	plot(time,xt)
	h=plot(time,xt);
	set(h,'linewidth', 2.0);
	axis([0 3/fm -.2 1.2])
	pause(0.5)
end
