%  Sincspec.m
%  A Matlab program to produce a sinc^2 spectrum
%
%  Author: M. Fitz
%  Last revision: 07/01/05
%
%
freq=linspace(0,40*(1-eps),401);
G_x=(sinc(freq)).^2;
figure(1)
plot(freq, 10*log10(G_x))
h=plot(freq,10*log10(G_x));
%set(h,'linewidth', 2.0)
axis([0 40 -50 0 ])
xlabel('Normalized frequency, fT_p','FontSize',14)
ylabel('G_x(f), dB','FontSize',14)


%
%  Periodic signal
%
scale=14;
n=linspace(-scale,scale,2*scale+1);

tau=0.2  % percent of T

xsq=(tau*sinc(n*tau+10*eps)).^2;
xdB=10*log10(xsq/tau^2);
figure(2) 
stem(n,xsq,'^','filled')
xlabel('Normalized Frequency, f/T','Fontsize',14)
ylabel('G_x(f), dB','FontSize',14)

% figure(3) 
% plot(n,xdB)
% axis([0 scale -50 0 ])
% xlabel('Normalized Frequency, f/T','Fontsize',14)
% ylabel('G_x(f), dB','FontSize',14)

%(cumsum(x(scale+1:2*scale+1))+cumsum([0 x(scale+2:2*scale+1)]))/tau

ilow=find(n<-5);
ihigh=find(n>5);
ysq=xsq;
ysq(ilow)=zeros(size(ilow));
ysq(ihigh)=zeros(size(ihigh));

figure(4) 
stem(500*n,ysq,'^','filled')
xlabel('Frequency, f, Hz','Fontsize',16)
ylabel('G_y(f), dB','FontSize',16)

time=linspace(0,2/500,1001);
yf=sqrt(ysq).*exp(-j*pi*n*tau);
yt=zeros(size(time));
for ii=-14:14
	yt=yt+yf(ii+15)*exp(j*2*pi*500*(ii)*time);
end
figure(5) 
plot(time,yt)
%axis([0 scale -50 0 ])
xlabel('Time, t, seconds','Fontsize',16, 'Position',[0.002 -0.3 0])
ylabel('y(t)','FontSize',16)
